<html>
    <style>
        header {
            background: cadetblue;
            height: 60px;
            position: fixed;
            width: 100%;
            padding-left: 30px;
            display: table;
            top: 0;
        }
        .main-container {
                margin: 0 10%;
                padding-top: 60px;
            }

            div {
                display: block;
            }
            .description {
                margin: 10px 0px 10px 20px;
                font-size: 20px;
                color: #6b6b6b;
            }

            p {
                 padding:20px 0px 0px 40px;
            }
            .second-container {
                background:lightgrey;
                height: calc(100vh - 300px);
                border-radius: 5px;
                overflow-y: scroll;
                overflow-x: hidden;
                padding: 30px 30px;
                margin-bottom: 30px;
            }

           
            div {
                display: block;
            }
            .btn1 {
                width: 70px;
                height: 38px;
                padding: 11px 20px;
                position: relative;
                color: blue;
                font-weight: 25px;
                font-size: 13px;
                padding-left: 12px;
                border: 1px solid gray;
                border-top-right-radius: 7px;
                border-bottom-right-radius: 7px;
                margin-left: -4px;
                cursor: pointer;
            }
            body {
                font-family: 'Times New Roman', Times, serif;
                /* overflow-x: hidden; */
                margin: 0;
                background:#f2f5f7;
            }
            .url {
                    width: 800px;
                    height: 36px;
                    padding-left: 10px;
                    border-top-left-radius: 5px;
                    border-bottom-left-radius: 5px;
                    background: #f8f8f8;
                    border: 1px solid #ddd;
                    font-size: 15px;
                    font-weight: 300;
                    
                }
                .result1{
                    margin: 130px 100px 0px 390px;
                    font-size: 20px;
                    position: relative;
                }
                
    </style>
   
    <body>
        
        <header>
            <h3>
                <p>Get URLS</p>
                <!-- <p>This tool is used to parse all the urls and upload them to the answer skill</p> -->
              </h3>
        </header>
        <div class="main-container">
            <h2 style="margin-left: 60px;">All the URLs</h2>
            <p class="description">Press the click button to get all the urls</p>
            
            <div class="second-container">
              <input class="url" id="data1" type="text" name="query" placeholder="URLS">
              <button class="btn1" id="button1" onclick="get1()">CLICK</button>
              
        
        
              <div class="result" id="demo1">
                <p class="result1">Please enter the Url.</p>
              </div>
            </div>
          </div>
        
        
    </body>

    <script>
       async function get1()
        {
            console.log("FETCHONG DATA")
            var response = await fetch('http://localhost:3000/url',
            {
                method:"POST",
                headers:{
                            'Content-Type': 'application/json'
                        },
                body : JSON.stringify({
                                        url:`https://www.google.com/sitemap.xml`
                                    }),
            })
            .then((t)=> t.text())
            .then(function(r){
            return r
            })
            console.log("DATA FETCHED")
            console.log(response);
            // document.getElementById('div1').innerHTML=response;

             

            console.log("Starting to parse")
            var response1 = await fetch('http://localhost:3000/url/parse',{
                method:"POST",
                headers:{
                            'Content-Type': 'application/json'
                        },
                body : JSON.stringify({
                                        resource_type:`url`,
                                        resource_path_list:"rayan/dem1.csv",
                                        output_path:"rayan"

                                    }),
            })
            .then((r)=>r.text())
            .then(function(r){
                return r;
            })
            
            // var response1 = await fetch('http://localhost:3000/url/parse',{
            //     method:"POST",
            //     headers:{
            //                 'Content-Type': 'application/json'
            //             },
            //     body : JSON.stringify({
            //                             resource_type:`url`,
            //                             resource_path_list:"rayan/dem1.csv",
            //                             output_path:"rayan"

            //                         }),
            // })
            // .then((r)=>r.text())
            // .then(function(r){
            //     return r;
            // })
        // console.log(response1);
        
        } 
        
        </script>
</html>